function [a] = calc_amb(conf)
%
% Funci que calcula l'ambiguitat d'un sistema descrit per una matriu de
% comportament i un vector de confiances
%
%
% Autor: Josep Maria Mirats i Tur
% Data: 5-II-1999, Barcelona
%
% Parmetres:
%
%       Entrada: conf, vector de confiances del sistema
%
%	Sortida: a, ambiguitat del sistema
%
%	Us de la funci:
%
%			[a] = calc_amb(conf)
%
%
conf = sort(conf);
n = size(conf,1);
af = conf(1)/n;
ali = conf(1);
for i = 2:n,
 if ( conf(i) ~= ali )
  af = af + ((conf(i)-ali)/(n+1-i));
  ali = conf(i);
 end
end
a = 1 - af;
