function [sorti] = elim_fil_incloses(entr)
%
% Aquesta funci elimina les estructures que tenen els seus elements
% inclosos en altres
%
% Autor: Josep Maria Mirats i Tur
% Data: 12-II-1999, Barcelona
%
% Parmetres:
%
%	Entrada: entr, vector amb possibles estructures contingudes en altres
%
%	Sortida: sorti, vector d'estructures amb intersecci ms petita que 
%		qualsevol de les estructures
%
% Us de la funci:
%
%		[sorti] = elim_fil_incloses(entr)
%
%
%
%
index = [0 find(entr==0) size(entr,2)+1];
nstruc=length(index)-1;
sorti = [];
%
% Ordena les estructures de menor a major longitud
%
colum = max(entr);
matriu = zeros(nstruc,colum+1);
for i = 1:nstruc,
 for j=index(i)+1:index(i+1)-1,
  matriu(i,entr(j)) = entr(j);
 end
 matriu(i,colum+1) = size(entr(index(i)+1:index(i+1)-1),2);
end
matriu = sortrows(matriu,colum+1);
matriu = matriu(:,1:colum);
entr = [];
for i=1:nstruc,
 if ( length(find(matriu(i,:))) ~= 0 )
  entr = [entr, find(matriu(i,:)), 0];
 end
end
[a,b] = size(entr);
entr=entr(1:b-1);
%
index = [0 find(entr==0) size(entr,2)+1];
%
for i=1:nstruc-1,
 aux = entr(index(i)+1:index(i+1)-1);
 cont2 = 0;
 for j=i+1:nstruc,
  aux2 = entr(index(j)+1:index(j+1)-1);
  a = size(aux,2);
  b = size(aux2,2);
  cont = 0;
  for k = 1:a,
   for l = 1:b,
    if ( aux(k) == aux2(l) )
     cont = cont +1;
    end
   end
  end
  if ( cont == a )
   cont2 = cont2 + 1;
  end
 end
 if ( cont2 == 0 )
  sorti = [sorti 0 aux];
 end
end
sorti = [sorti  0 entr(index(nstruc)+1:index(nstruc+1)-1)];
sorti = sorti(2:size(sorti,2));
%
